Qwt User's Guide 6.1.3

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
QwtLinearColorMap Class Reference

QwtLinearColorMap builds a color map from color stops. More...

`#include <qwt_color_map.h>`

Inheritance diagram for QwtLinearColorMap:
[legend]

## Public Types
enum | Mode { FixedColors, ScaledColors }
Public Types inherited from QwtColorMap
enum | Format { RGB, Indexed }

## Public Member Functions
| QwtLinearColorMap (QwtColorMap::Format=QwtColorMap::RGB)
| QwtLinearColorMap (const QColor &from, const QColor &to, QwtColorMap::Format=QwtColorMap::RGB)
virtual | ~QwtLinearColorMap ()
| Destructor.
void | setMode (Mode)
| Set the mode of the color map. More...
Mode | mode () const
void | setColorInterval (const QColor &color1, const QColor &color2)
void | addColorStop (double value, const QColor &)
QVector< double > | colorStops () const
QColor | color1 () const
QColor | color2 () const
virtual QRgb | rgb (const QwtInterval &, double value) const
virtual unsigned char | colorIndex (const QwtInterval &, double value) const
| Map a value of a given interval into a color index. More...
Public Member Functions inherited from QwtColorMap
| QwtColorMap (Format=QwtColorMap::RGB)
| Constructor.
virtual | ~QwtColorMap ()
| Destructor.
Format | format () const
QColor | color (const QwtInterval &, double value) const
virtual QVector< QRgb > | colorTable (const QwtInterval &) const

## Detailed Description

QwtLinearColorMap builds a color map from color stops.

A color stop is a color at a specific position. The valid range for the positions is [0.0, 1.0]. When mapping a value into a color it is translated into this interval according to mode().

## Member Enumeration Documentation

enum QwtLinearColorMap::Mode

Mode of color map

See also
  setMode(), mode()

Enumerator
FixedColors | Return the color from the next lower color stop.
ScaledColors | Interpolating the colors of the adjacent stops.

## Constructor & Destructor Documentation

QwtLinearColorMap::QwtLinearColorMap | ( | QwtColorMap::Format | format = `QwtColorMap::RGB` | ) |

Build a color map with two stops at 0.0 and 1.0. The color at 0.0 is Qt::blue, at 1.0 it is Qt::yellow.

Parameters

  format | Preferred format of the color map

QwtLinearColorMap::QwtLinearColorMap | ( | const QColor & | color1,
|  | const QColor & | color2,
|  | QwtColorMap::Format | format = `QwtColorMap::RGB`
| ) |  |

Build a color map with two stops at 0.0 and 1.0.

Parameters

  color1 | Color used for the minimum value of the value interval
  color2 | Color used for the maximum value of the value interval
  format | Preferred format for the color map

## Member Function Documentation

void QwtLinearColorMap::addColorStop | ( | double | value,
|  | const QColor & | color
| ) |  |

Add a color stop

The value has to be in the range [0.0, 1.0]. F.e. a stop at position 17.0 for a range [10.0,20.0] must be passed as: (17.0 - 10.0) / (20.0 - 10.0)

Parameters

  value | Value between [0.0, 1.0]
  color | Color stop

QColor QwtLinearColorMap::color1 | ( |  | ) | const

Returns
  the first color of the color range

See also
  setColorInterval()

QColor QwtLinearColorMap::color2 | ( |  | ) | const

Returns
  the second color of the color range

See also
  setColorInterval()

unsigned char QwtLinearColorMap::colorIndex | ( | const QwtInterval & | interval,
|  | double | value
| ) |  | const
| virtual

Map a value of a given interval into a color index.

Parameters

  interval | Range for all values
  value | Value to map into a color index

Returns
  Index, between 0 and 255

Implements QwtColorMap.

QVector< double > QwtLinearColorMap::colorStops | ( |  | ) | const

Returns
  Positions of color stops in increasing order

QwtLinearColorMap::Mode QwtLinearColorMap::mode | ( |  | ) | const

Returns
  Mode of the color map

See also
  setMode()

QRgb QwtLinearColorMap::rgb | ( | const QwtInterval & | interval,
|  | double | value
| ) |  | const
| virtual

Map a value of a given interval into a RGB value

Parameters

  interval | Range for all values
  value | Value to map into a RGB value

Returns
  RGB value for value

Implements QwtColorMap.

void QwtLinearColorMap::setColorInterval | ( | const QColor & | color1,
|  | const QColor & | color2
| ) |  |

Set the color range

Add stops at 0.0 and 1.0.

Parameters

  color1 | Color used for the minimum value of the value interval
  color2 | Color used for the maximum value of the value interval

See also
  color1(), color2()

void QwtLinearColorMap::setMode | ( | Mode | mode | ) |

Set the mode of the color map.

FixedColors means the color is calculated from the next lower color stop. ScaledColors means the color is calculated by interpolating the colors of the adjacent stops.

See also
  mode()